Assignee:  % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

In CORE10, when I boot with the IDE2+ installed, the machine initially goes right into self test mode.  Pressing reset will take me to a

BASIC prompt with "ERROR 12 at Line 0" and typing LIST gives me the repeating 0s forever.

I can press Start+Reset to get to the config screen, and the clock and date read correctly.  If I turn off SDX, the machine will boot

properly.

Apologies in advance if I should have posted in the other issue about IDE2+ with CORE10.

Related issues:

Related to Bug #43: Core 10 - IDE2+ Menu does not show when powering the comp... Closed 06/08/2017

Related to Bug #44: CORE 11 - Bug in PBI - EclaireXL will not boot with IDE2+... Closed 06/08/2017

Related to Feature #2: PBI support Closed 04/04/2017

History

#1 - 06/09/2017 09:44 PM - foft

- Related to Bug #43: Core 10 - IDE2+ Menu does not show when powering the computer with START key pressed added

#2 - 06/09/2017 09:44 PM - foft

- Related to Bug #44: CORE 11 - Bug in PBI - EclaireXL will not boot with IDE2+ Is connected and when Turbo Freezer connected goes directly to

Cart EMU not main screen added

#3 - 06/09/2017 09:44 PM - foft

- Related to Feature #2: PBI support added

#4 - 06/11/2017 05:44 PM - ndary

Tested and working on core 13

Nir

#5 - 06/11/2017 08:53 PM - Stephen

Stephen wrote:

In CORE10, when I boot with the IDE2+ installed, the machine initially goes right into self test mode.  Pressing reset will take me to a BASIC

prompt with "ERROR 12 at Line 0" and typing LIST gives me the repeating 0s forever.

 OK - I have some more information on this issue.  I have updated to CORE13 (I created a jic file, so I am on the latest core even after a power cycle). 

Holding Start upon powerup, I get to the config screen.  However, the following memory modes still give me the same behaviour:  576kB(Compy),

576kB(Rambo), 1MB.  Also, when in those RAM configurations, holding down option on startup does not disable BASIC when the IDE2+ is plugged

in.  This is leading me to believe there is something wrong with PORTB.  I tested in NTSC and PAL, and the behaviour is the same.

#6 - 06/11/2017 09:08 PM - foft

Does the IDE2+ work in those modes on a real system? I mean on a standard version of those upgrades, not one of these new ones that latches

portb bits..

#7 - 06/11/2017 09:13 PM - ndary

testing IDE2+ on an ULTIMATE 1MB does not behave correctly as well

#8 - 01/09/2018 08:48 PM - foft
- Status changed from New to Closed

Closed since Nir confirmed this behavior on original hardware
